
- name: install apt-transport-https
  apt:
      name: apt-transport-https

- name: configure apt repository
  include_tasks: apt-repository.yml
  vars:
      nexus_client_apt_repository_url: '{{ nexus_client_apt_repository.url | default(omit) }}'
      nexus_client_apt_repository_key_url: '{{ nexus_client_apt_repository.key_url | default(omit) }}'
      nexus_client_apt_repository_distribution: '{{ nexus_client_apt_repository.distribution | default(omit) }}'
      nexus_client_apt_repository_components: '{{ nexus_client_apt_repository.components | default(omit) }}'
  loop: '{{ nexus_client_apt_predefined_repositories | selectattr("name", "in", nexus_client_apt_distributions) | list }}'
  loop_control:
      loop_var: nexus_client_apt_repository

- name: update cache
  apt:
      update_cache: yes

